<?php
/**
 * WCFM plugin controllers
 *
 * Plugin Coupons Manage Controller
 *
 * @author 		WC Lovers
 * @package 	wcfm/controllers
 * @version   1.0.0
 */

class WCFM_Coupons_Manage_Controller {
	
	public function __construct() {
		global $WCFM;
		
		$this->processing();
	}
	
	public function processing() {
		global $WCFM, $wpdb, $_POST;
		
		$wcfm_coupon_manager_form_data = array();
	  parse_str($_POST['wcfm_coupons_manage_form'], $wcfm_coupon_manager_form_data);
	  
	  $wcfm_coupon_messages = get_wcfm_coupons_manage_messages();
	  $has_error = false;
	  
	  if(isset($wcfm_coupon_manager_form_data['title']) && !empty($wcfm_coupon_manager_form_data['title'])) {
	  	$is_update = false;
	  	$is_publish = false;
	  	$current_user_id = get_current_user_id();
	  	
	  	if(isset($_POST['status']) && ($_POST['status'] == 'draft')) {
	  		$coupon_status = 'draft';
	  	} else {
				if( $is_vendor ) {	
					if(!current_user_can('publish_shop_coupons')){
						$coupon_status = 'pending';
					} else {
						$coupon_status = 'publish';
					}	  		
				} else {
					$coupon_status = 'publish';
				}
			}
	  	
	  	// Creating new coupon
			$new_coupon = array(
				'post_title'   => wc_clean( $wcfm_coupon_manager_form_data['title'] ),
				'post_status'  => $coupon_status,
				'post_type'    => 'shop_coupon',
				'post_excerpt' => $wcfm_coupon_manager_form_data['description'],
				'post_author'  => $current_user_id
				//'post_name' => sanitize_title($wcfm_coupon_manager_form_data['title'])
			);
			
			if(isset($wcfm_coupon_manager_form_data['coupon_id']) && $wcfm_coupon_manager_form_data['coupon_id'] == 0) {
				if ($coupon_status != 'draft') {
					$is_publish = true;
				}
				$new_coupon_id = wp_insert_post( $new_coupon, true );
			} else { // For Update
				$is_update = true;
				$new_coupon['ID'] = $wcfm_coupon_manager_form_data['coupon_id'];
				if( !$is_vendor ) unset( $new_coupon['post_author'] );
				if( get_post_status( $new_coupon['ID'] ) != 'draft' ) {
					unset( $new_coupon['post_status'] );
				} else if( (get_post_status( $new_coupon['ID'] ) == 'draft') && ($coupon_status != 'draft') ) {
					$is_publish = true;
				}
				$new_coupon_id = wp_update_post( $new_coupon, true );
			}
			
			if(!is_wp_error($new_coupon_id)) {
				// For Update
				if($is_update) $new_coupon_id = $wcfm_coupon_manager_form_data['coupon_id'];
				
				// Coupon General
				update_post_meta( $new_coupon_id, 'discount_type', $wcfm_coupon_manager_form_data['discount_type'] );
				update_post_meta( $new_coupon_id, 'coupon_amount', $wcfm_coupon_manager_form_data['coupon_amount'] ? $wcfm_coupon_manager_form_data['coupon_amount'] : '' );
				update_post_meta( $new_coupon_id, 'free_shipping', isset( $wcfm_coupon_manager_form_data['free_shipping'] ) ? 'yes' : 'no' );
				update_post_meta( $new_coupon_id, 'expiry_date', $wcfm_coupon_manager_form_data['expiry_date'] ? $wcfm_coupon_manager_form_data['expiry_date'] : '' );
				
				// Hook for additional processing
				do_action( 'wcfm_coupons_manage_from_process', $new_coupon_id, $wcfm_coupon_manager_form_data );
				
				if(!$has_error) {
					if( get_post_status( $new_coupon_id ) == 'publish' ) {
						if(!$has_error) echo '{"status": true, "message": "' . $wcfm_coupon_messages['coupon_published'] . '", "redirect": "' . get_wcfm_coupons_url() . '"}';	
					} else {
						if(!$has_error) echo '{"status": true, "message": "' . $wcfm_coupon_messages['coupon_saved'] . '"}';
					}
				}
				die;
			}
		} else {
			echo '{"status": false, "message": "' . $wcfm_coupon_messages['no_title'] . '"}';
		}
	}
}