<?php
if(!function_exists('wcfm_woocommerce_inactive_notice')) {
	function wcfm_woocommerce_inactive_notice() {
		?>
		<div id="message" class="error">
		<p><?php printf( __( '%sWC Frontend Manager is inactive.%s The %sWooCommerce plugin%s must be active for the WC Frontend Manager to work. Please %sinstall & activate WooCommerce%s', WCFM_TEXT_DOMAIN ), '<strong>', '</strong>', '<a target="_blank" href="http://wordpress.org/extend/plugins/woocommerce/">', '</a>', '<a href="' . admin_url( 'plugin-install.php?tab=search&s=woocommerce' ) . '">', '&nbsp;&raquo;</a>' ); ?></p>
		</div>
		<?php
	}
}

if(!function_exists('is_wcfm_page')) {
	function is_wcfm_page() {    
		$pages = get_option("wcfm_options");
		if(isset($pages['wc_frontend_manager_page_id'])) {
			return is_page( $pages['wc_frontend_manager_page_id'] ) ? true : false;
		}
		return false;
	}
}

if(!function_exists('get_wcfm_page')) {
	function get_wcfm_page() {
		$pages = get_option("wcfm_options");
		if(isset($pages['wc_frontend_manager_page_id'])) {
			return get_permalink( $pages['wc_frontend_manager_page_id'] );
		}
		return false;
	}
}

if ( ! function_exists( 'is_wc_endpoint_url' ) ) {

	/**
	 * is_wcfm_endpoint_url - Check if an endpoint is showing.
	 * @param  string $endpoint
	 * @return bool
	 */
	function is_wcfm_endpoint_url( $endpoint = false ) {
		global $WCFM, $WCFM_Query, $wp;

		$wcfm_endpoints = $WCFM_Query->get_query_vars();

		if ( $endpoint !== false ) {
			if ( ! isset( $wc_endpoints[ $endpoint ] ) ) {
				return false;
			} else {
				$endpoint_var = $wcfm_endpoints[ $endpoint ];
			}

			return isset( $wp->query_vars[ $endpoint_var ] );
		} else {
			foreach ( $wcfm_endpoints as $key => $value ) {
				if ( isset( $wp->query_vars[ $key ] ) ) {
					return true;
				}
			}

			return false;
		}
	}
}

if(!function_exists('get_wcfm_products_url')) {
	function get_wcfm_products_url( $product_status = '' ) {
		global $WCFM;
		$wcfm_page = get_wcfm_page();
		$wcfm_products_url = $wcfm_page;
		$wcfm_products_url .= 'wcfm-products/';
		if($product_status) $wcfm_products_url .= '?product_status=' . $product_status;
		return $wcfm_products_url;
	}
}

if(!function_exists('get_wcfm_edit_product_url')) {
	function get_wcfm_edit_product_url( $product_id = 0, $the_product = array() ) {
		global $WCFM;
		$wcfm_page = get_wcfm_page();
		$wcfm_edit_product_url = $wcfm_page;
		/*if ( 'grouped' == $the_product->product_type ) {
			$wcfm_edit_product_url .= 'wcfm-products-group/' . $product_id;
		} elseif ( 'external' == $the_product->product_type ) {
			$wcfm_edit_product_url .= 'wcfm-products-external/' . $product_id;
		} elseif ( 'simple' == $the_product->product_type ) {
			$wcfm_edit_product_url .= 'wcfm-products-simple/' . $product_id;
		} elseif ( 'variable' == $the_product->product_type || 'variation' == $the_product->product_type ) {
			$wcfm_edit_product_url .= 'wcfm-products-variable/' . $product_id;
		} else {*/
			$wcfm_edit_product_url .= 'wcfm-products-manage/';
			if($product_id) $wcfm_edit_product_url .= $product_id;
		//}
		return $wcfm_edit_product_url;
	}
}

if(!function_exists('get_wcfm_coupons_url')) {
	function get_wcfm_coupons_url() {
		global $WCFM;
		$wcfm_page = get_wcfm_page();
		$wcfm_coupons_url = $wcfm_page;
		$wcfm_coupons_url .= 'wcfm-coupons/';
		return $wcfm_coupons_url;
	}
}

if(!function_exists('get_wcfm_coupons_manage_url')) {
	function get_wcfm_coupons_manage_url( $coupon_id = 0 ) {
		global $WCFM;
		$wcfm_page = get_wcfm_page();
		$wcfm_coupon_manage_url = $wcfm_page;
		$wcfm_coupon_manage_url .= 'wcfm-coupons-manage/';
		if($coupon_id) $wcfm_coupon_manage_url .= $coupon_id;
		return $wcfm_coupon_manage_url;
	}
}

if(!function_exists('get_wcfm_orders_url')) {
	function get_wcfm_orders_url( $order_ststus = '') {
		global $WCFM;
		$wcfm_page = get_wcfm_page();
		$wcfm_orders_url = $wcfm_page;
		$wcfm_orders_url .= 'wcfm-orders/';
		if( $order_ststus ) $wcfm_orders_url .= '?order_status=' . $order_ststus;
		return $wcfm_orders_url;
	}
}

if(!function_exists('get_wcfm_view_order_url')) {
	function get_wcfm_view_order_url($order_id = 0) {
		global $WCFM;
		$wcfm_page = get_wcfm_page();
		$wcfm_view_order_url = $wcfm_page;
		$wcfm_view_order_url .= 'wcfm-orders-details/';
		if($order_id) $wcfm_view_order_url .= $order_id;
		return $wcfm_view_order_url;
	}
}

if(!function_exists('get_wcfm_reports_url')) {
	function get_wcfm_reports_url( $range = '', $report_tye = 'wcfm-reports-sales-by-date' ) {
		global $WCFM;
		$wcfm_page = get_wcfm_page();
		$get_wcfm_reports_url = $wcfm_page;
		$get_wcfm_reports_url .= $report_tye . '/';
		if( $range ) $get_wcfm_reports_url .= '?range=' . $range;
		return $get_wcfm_reports_url;
	}
}

if(!function_exists('get_wcfm_products_manager_messages')) {
	function get_wcfm_products_manager_messages() {
		global $WCFM;
		
		$messages = array(
											'no_title' => __('Insert Product Title before submit.', $WCFM->text_domain),
											'sku_unique' => __('Product SKU must be unique.', $WCFM->text_domain),
											'variation_sku_unique' => __('Variation SKU must be unique.', $WCFM->text_domain),
											'product_saved' => __('Product Successfully Saved.', $WCFM->text_domain),
											'product_published' => __('Product Successfully Published.', $WCFM->text_domain),
											);
		
		return $messages;
	}
}

if(!function_exists('get_wcfm_coupons_manage_messages')) {
	function get_wcfm_coupons_manage_messages() {
		global $WCFM;
		
		$messages = array(
											'no_title' => __( 'Please insert atleast "<b>Coupon Title</b>" before submit.', $WCFM->text_domain ),
											'coupon_saved' => __( 'Coupon Successfully Saved.', $WCFM->text_domain ),
											'coupon_published' => __( 'Coupon Successfully Published.', $WCFM->text_domain ),
											);
		
		return $messages;
	}
}
?>