<?php
global $wp, $WCFM;

$coupon_id = 0;
$title = '';
$description = '';
$discount_type = '';
$coupon_amount = 0;
$free_shipping = '';
$expiry_date = '';

if( isset( $wp->query_vars['wcfm-coupons-manage'] ) && !empty( $wp->query_vars['wcfm-coupons-manage'] ) ) {
	$coupon_post = get_post( $wp->query_vars['wcfm-coupons-manage'] );
	// Fetching Coupon Data
	if($coupon_post && !empty($coupon_post)) {
		$coupon_id = $wp->query_vars['wcfm-coupons-manage'];
		
		$title = $coupon_post->post_title;
		$description = $coupon_post->post_excerpt;
		$discount_type = get_post_meta( $coupon_id, 'discount_type', true);
		$coupon_amount = get_post_meta( $coupon_id, 'coupon_amount', true);
		$free_shipping = ( get_post_meta( $coupon_id, 'free_shipping', true) == 'yes' ) ? 'enable' : '';
		$expiry_date = get_post_meta( $coupon_id, 'expiry_date', true);
	}
}

do_action( 'before_wcfm_coupons_manage' );
?>

<form id="wcfm_coupons_manage_form" class="wcfm">

	<div class="collapse">
	
	  <?php do_action( 'begin_wcfm_coupons_manage_form' ); ?>
	  
	  <!-- collapsible -->
	  <div class="page_collapsible coupons_manage_general" id="wcfm_general_options"><?php _e('General', $WCFM->text_domain); ?><span></span></div>
		<div class="container">
			<div id="coupons_manage_general_expander" class="content">
					<?php
						$WCFM->wcfm_fields->wcfm_generate_form_field( apply_filters( 'coupon_manager_fields_general', array(  "title" => array('label' => __('Title', $WCFM->text_domain) , 'type' => 'text', 'class' => 'wcfm-text wcfm_ele', 'label_class' => 'wcfm_title wcfm_ele', 'value' => $title),
																																														"description" => array('label' => __('Description', $WCFM->text_domain) , 'type' => 'textarea', 'class' => 'wcfm-textarea wcfm_ele', 'label_class' => 'wcfm_title', 'value' => $description),
																																														"discount_type" => array('label' => __('Discount Type', $WCFM->text_domain), 'type' => 'select', 'options' => array('fixed_cart' => __('Cart Discount', $WCFM->text_domain), 'percent' => __('Cart % Discount', $WCFM->text_domain), 'fixed_product' => __('Product Discount', $WCFM->text_domain), 'percent_product' => __('Product % Discount', $WCFM->text_domain)), 'class' => 'wcfm-select wcfm_ele', 'label_class' => 'wcfm_ele wcfm_title', 'value' => $discount_type),
																																														"coupon_amount" => array('label' => __('Coupon Amount', $WCFM->text_domain), 'type' => 'text', 'class' => 'wcfm-text wcfm_ele', 'label_class' => 'wcfm_ele wcfm_title', 'value' => $coupon_amount),
																																														//"free_shipping" => array('label' => __('Allow free shipping', $WCFM->text_domain) , 'type' => 'checkbox', 'class' => 'wcfm-checkbox wcfm_ele', 'value' => 'enable', 'label_class' => 'wcfm_title checkbox_title', 'hints' => __('Check this box if the coupon grants free shipping. The free shipping method must be enabled and be set to require "a valid free shipping coupon" (see the "Free Shipping Requires" setting).', $WCFM->text_domain), 'dfvalue' => $free_shipping),
																																														"expiry_date" => array('label' => __('Coupon expiry date', $WCFM->text_domain), 'type' => 'text', 'placeholder' => 'YYYY-MM-DD', 'class' => 'wcfm-text wcfm_ele wcfm_datepicker', 'label_class' => 'wcfm_ele wcfm_title', 'value' => $expiry_date),
																																														"coupon_id" => array('type' => 'hidden', 'value' => $coupon_id)
																																				) ) );
					?>
		  </div>
		</div>
		<!-- end collapsible -->
		 
		<?php do_action( 'end_wcfm_coupons_manage_form' ); ?>
		
		<div class="wcfm-message" tabindex="-1"></div>
		
		<div id="wcfm_coupon_manager_submit">
			<input type="submit" name="submit-data" value="Submit" id="wcfm_coupon_manager_submit_button" />
			<?php if( ( isset( $wp->query_vars['wcfm-coupons-manage'] ) && empty( $wp->query_vars['wcfm-coupons-manage'] ) ) || ( isset( $wp->query_vars['wcfm-coupons-manage'] ) && !empty( $wp->query_vars['wcfm-coupons-manage'] ) && ( get_post_status( $wp->query_vars['wcfm-coupons-manage'] ) == 'draft' ) ) ) { ?>
			<input type="submit" name="draft-data" value="Draft" id="wcfm_coupon_manager_draft_button" />
			<?php } ?>
		</div>
		
	</div>
</form>


<?php
do_action( 'after_wcfm_coupons_manage' );
?>