<?php
global $wp, $WCFM;

$product_id = 0;
$product = array();
$product_type = '';
$is_virtual = '';
$title = '';
$sku = '';
$excerpt = '';
$description = '';
$regular_price = '';
$sale_price = '';
$sale_date_from = '';
$sale_date_upto = '';
$product_url = '';
$button_text = '';
$visibility = 'visible';
$is_downloadable = '';

$featured_img = '';
$gallery_img_ids = array();
$gallery_img_urls = array();
$categories = array();
$product_tags = '';
$manage_stock = '';
$stock_qty = 0;
$backorders = '';
$stock_status = ''; 
$sold_individually = '';
$weight = '';
$length = '';
$width = '';
$height = '';
$shipping_class = '';
$tax_status = '';
$tax_class = '';
$attributes = array();
$variations = array();

if( isset( $wp->query_vars['wcfm-products-manage'] ) && !empty( $wp->query_vars['wcfm-products-manage'] ) ) {
	
	$product = wc_get_product( $wp->query_vars['wcfm-products-manage'] );
	// Fetching Product Data
	if($product && !empty($product)) {
		$product_id = $wp->query_vars['wcfm-products-manage'];
		$product_type = $product->get_type();
		$title = $product->get_title();
		$sku = $product->get_sku();
		$excerpt = $product->post->post_excerpt;
		$description = $product->post->post_content;
		$regular_price = $product->get_regular_price();
		$sale_price = $product->get_sale_price();
		
		// External product option
		$product_url = get_post_meta( $product_id, '_product_url', true);
		$button_text = get_post_meta( $product_id, '_button_text', true);
		
		// Product Visibility
		$visibility = get_post_meta( $product_id, '_visibility', true);
		
		// Virtual
		$is_virtual = ( get_post_meta( $product_id, '_virtual', true) == 'yes' ) ? 'enable' : '';
		
		// Download ptions
		$is_downloadable = ( get_post_meta( $product_id, '_downloadable', true) == 'yes' ) ? 'enable' : '';
		if( $product_type != 'simple' ) $is_downloadable = '';
		
		// Product Images
		$featured_img = ($product->get_image_id()) ? $product->get_image_id() : '';
		if($featured_img) $featured_img = wp_get_attachment_url($featured_img);
		if(!$featured_img) $featured_img = '';
		$gallery_img_ids = $product->get_gallery_attachment_ids();
		if(!empty($gallery_img_ids)) {
			foreach($gallery_img_ids as $gallery_img_id) {
				$gallery_img_urls[]['image'] = wp_get_attachment_url($gallery_img_id);
			}
		}
		
		// Product Categories
		$categories = get_the_terms( $product_id, 'product_cat' );
		
		// Product Tags
		$product_tag_list = wp_get_post_terms($product_id, 'product_tag', array("fields" => "names"));
		$product_tags = implode(',', $product_tag_list);
		
		// Product Stock options
		$manage_stock = $product->managing_stock() ? 'enable' : '';
		$stock_qty = $product->stock;
		$backorders = $product->backorders;
		$stock_status = $product->stock_status; 
		$sold_individually = $product->is_sold_individually() ? 'enable' : '';
		
		// Product Shipping Data
		$weight = $product->weight;
		$length = $product->length;
		$width = $product->width;
		$height = $product->height;
		$shipping_class = $product->get_shipping_class_id();
		
		// Product Tax Data
		$tax_status = $product->get_tax_status();
		$tax_class = $product->get_tax_class();
		
		// Product Attributes
		$wcfm_attributes = get_post_meta( $product_id, '_product_attributes', true );
		if(!empty($wcfm_attributes)) {
			$acnt = 0;
			foreach($wcfm_attributes as $wcfm_attribute) {
				
				if ( $wcfm_attribute['is_taxonomy'] ) {
					$att_taxonomy = $wcfm_attribute['name'];

					if ( ! taxonomy_exists( $att_taxonomy ) ) {
						continue;
					}
					
					$attribute_taxonomy = $wc_product_attributes[ $att_taxonomy ];
					
					$attributes[$acnt]['name'] = wc_attribute_label( $att_taxonomy );
					$attributes[$acnt]['attribute_taxonomy'] = $attribute_taxonomy;
					$attributes[$acnt]['value'] = esc_attr( implode( ' ' . WC_DELIMITER . ' ', wp_get_post_terms( $product_id, $att_taxonomy, array( 'fields' => 'names' ) ) ) );
					$attributes[$acnt]['tax_name'] = $att_taxonomy;
					$attributes[$acnt]['is_taxonomy'] = 1;
				} else {
					$attributes[$acnt]['name'] = apply_filters( 'woocommerce_attribute_label', $wcfm_attribute['name'], $wcfm_attribute['name'], true );
					$attributes[$acnt]['value'] = $wcfm_attribute['value'];
					$attributes[$acnt]['tax_name'] = '';
					$attributes[$acnt]['is_taxonomy'] = 0;
				}
				
				$attributes[$acnt]['is_visible'] = $wcfm_attribute['is_visible'] ? 'enable' : '';
				$attributes[$acnt]['is_variation'] = $wcfm_attribute['is_variation'] ? 'enable' : '';
				$acnt++;
			}
		}
		
		// Variable Product Variations
		$variation_ids = $product->get_children();
		if(!empty($variation_ids)) {
			foreach($variation_ids as $variation_id_key => $variation_id) {
				$variation_data = new WC_Product_Variation($variation_id);
				
				$variations[$variation_id_key]['id'] = $variation_id;
				$variations[$variation_id_key]['enable'] = $variation_data->is_purchasable() ? 'enable' : '';
				$variations[$variation_id_key]['sku'] = get_post_meta($variation_id, '_sku', true);
				
				// Variation Image
				$variation_img = $variation_data->get_image_id();
				if($variation_img) $variation_img = wp_get_attachment_url($variation_img);
				else $variation_img = '';
				$variations[$variation_id_key]['image'] = $variation_img;
				
				// Variation Price
				$variations[$variation_id_key]['regular_price'] = get_post_meta($variation_id, '_regular_price', true);
				$variations[$variation_id_key]['sale_price'] = get_post_meta($variation_id, '_sale_price', true);
				
				// Variation Stock Data
				$variations[$variation_id_key]['manage_stock'] = get_post_meta($variation_id, '_manage_stock', true) ? 'enable' : '';
				$variations[$variation_id_key]['stock_status'] = get_post_meta($variation_id, '_stock_status', true);
				$variations[$variation_id_key]['stock_qty'] = get_post_meta($variation_id, '_stock', true);
				$variations[$variation_id_key]['backorders'] = get_post_meta($variation_id, '_backorders', true);
				
				// Variation Virtual Data
				$variations[$variation_id_key]['is_virtual'] = ( 'yes' == get_post_meta($variation_id, '_virtual', true) ) ? 'enable' : '';
				
				// Variation Downloadable Data
				$variations[$variation_id_key]['is_downloadable'] = ( 'yes' == get_post_meta($variation_id, '_downloadable', true) ) ? 'enable' : '';
				$variations[$variation_id_key]['downloadable_files'] = get_post_meta($variation_id, '_downloadable_files', true);
				$variations[$variation_id_key]['download_limit'] = get_post_meta($variation_id, '_download_limit', true);
				$variations[$variation_id_key]['download_expiry'] = get_post_meta($variation_id, '_download_expiry', true);
				if(!empty($variations[$variation_id_key]['downloadable_files'])) {
					foreach($variations[$variation_id_key]['downloadable_files'] as $variations_downloadable_files) {
						$variations[$variation_id_key]['downloadable_file'] = $variations_downloadable_files['file'];
						$variations[$variation_id_key]['downloadable_file_name'] = $variations_downloadable_files['name'];
					}
				}
				
				// Variation Shipping Data
				$variations[$variation_id_key]['weight'] = get_post_meta($variation_id, '_weight', true);
				$variations[$variation_id_key]['length'] = get_post_meta($variation_id, '_length', true);
				$variations[$variation_id_key]['width'] = get_post_meta($variation_id, '_width', true);
				$variations[$variation_id_key]['height'] = get_post_meta($variation_id, '_height', true);
				$variations[$variation_id_key]['shipping_class'] = $variation_data->get_shipping_class_id();
				
				// Variation Tax
				$variations[$variation_id_key]['tax_class'] = get_post_meta($variation_id, '_tax_class', true);
				
				// Variation Attributes
				$variations[$variation_id_key]['attributes'] = json_encode( $variation_data->get_variation_attributes() );
				
				// Description
				$variations[$variation_id_key]['description'] = get_post_meta($variation_id, '_variation_description', true);
			}
		}
	}
}

$current_user_id = get_current_user_id();

// Shipping Class List
$product_shipping_class = get_terms( 'product_shipping_class', array('hide_empty' => 0));
$variation_shipping_option_array = array('-1' => __('Same as parent', $WCFM->text_domain));
$shipping_option_array = array('_no_shipping_class' => __('No shipping class', $WCFM->text_domain));
foreach($product_shipping_class as $product_shipping) {
	$variation_shipping_option_array[$product_shipping->term_id] = $product_shipping->name;
	$shipping_option_array[$product_shipping->term_id] = $product_shipping->name;
}

// Tax Class List
$tax_classes         = WC_Tax::get_tax_classes();
$classes_options     = array();
$variation_tax_classes_options['parent'] = __( 'Same as parent', $WCFM->text_domain );
$variation_tax_classes_options[''] = __( 'Standard', $WCFM->text_domain );
$tax_classes_options[''] = __( 'Standard', $WCFM->text_domain );

if ( ! empty( $tax_classes ) ) {

	foreach ( $tax_classes as $class ) {
		$tax_classes_options[ sanitize_title( $class ) ] = esc_html( $class );
		$variation_tax_classes_options[ sanitize_title( $class ) ] = esc_html( $class );
	}
}

$product_types = array('simple' => __('Simple', $WCFM->text_domain), 'variable' => __('Variable', $WCFM->text_domain), 'external' => __('External/Affiliate', $WCFM->text_domain));

do_action( 'before_wcfm_product_simple' );
?>

<form id="wcfm_products_manage_form" class="wcfm">

	<div class="collapse" id="">
	
	  <?php do_action( 'begin_wcfm_products_manage_form' ); ?>
	  
	  <!-- collapsible -->
	  <div class="page_collapsible products_manage_general simple variable external" id="wcfm_products_manage_form_general_head"><?php _e('General', $WCFM->text_domain); ?><span></span></div>
		<div class="container simple variable external">
			<div id="wcfm_products_manage_form_general_expander" class="content">
				<?php
					$WCFM->wcfm_fields->wcfm_generate_form_field( apply_filters( 'wcfm_product_manage_fields_general', array(
																																														"product_type" => array('label' => __('Product Type', $WCFM->text_domain) , 'type' => 'select', 'options' => $product_types, 'class' => 'wcfm-select wcfm_ele simple variable external', 'label_class' => 'wcfm_title wcfm_ele simple variable external', 'value' => $product_type ),
																																														"title" => array('label' => __('Title', $WCFM->text_domain) , 'type' => 'text', 'class' => 'wcfm-text wcfm_ele simple variable external', 'label_class' => 'wcfm_title wcfm_ele simple variable external', 'value' => $title),
																																														"sku" => array('label' => __('SKU', $WCFM->text_domain) , 'type' => 'text', 'class' => 'wcfm-text wcfm_ele simple variable external', 'label_class' => 'wcfm_title', 'value' => $sku, 'hints' => __( 'SKU refers to a Stock-keeping unit, a unique identifier for each distinct product and service that can be purchased.', $WCFM->text_domain )),
																																														"product_url" => array('label' => __('Product URL', $WCFM->text_domain) , 'type' => 'text', 'class' => 'wcfm-text wcfm_ele external', 'label_class' => 'wcfm_ele wcfm_title external', 'value' => $product_url, 'hints' => __( 'Enter the external URL to the product.', $WCFM->text_domain )),
																																														"button_text" => array('label' => __('Button Text', $WCFM->text_domain) , 'type' => 'text', 'class' => 'wcfm-text wcfm_ele external', 'label_class' => 'wcfm_ele wcfm_title external', 'value' => $button_text, 'hints' => __( 'This text will be shown on the button linking to the external product.', $WCFM->text_domain )),
																																														"regular_price" => array('label' => __('Price', $WCFM->text_domain) . '(' . get_woocommerce_currency_symbol() . ')', 'type' => 'text', 'class' => 'wcfm-text wcfm_ele simple external', 'label_class' => 'wcfm_ele wcfm_title simple external', 'value' => $regular_price),
																																														"sale_price" => array('label' => __('Sale Price', $WCFM->text_domain) . '(' . get_woocommerce_currency_symbol() . ')', 'type' => 'text', 'class' => 'wcfm-text wcfm_ele simple external', 'label_class' => 'wcfm_ele wcfm_title simple external', 'value' => $sale_price),
																																														"excerpt" => array('label' => __('Short Description', $WCFM->text_domain) , 'type' => 'textarea', 'class' => 'wcfm-textarea wcfm_ele simple variable external' , 'label_class' => 'wcfm_title', 'value' => $excerpt),
																																														"description" => array('label' => __('Description', $WCFM->text_domain) , 'type' => 'wpeditor', 'class' => 'wcfm-editor wcfm_ele simple variable external', 'label_class' => 'wcfm_title', 'value' => $description),
																																														"pro_id" => array('type' => 'hidden', 'value' => $product_id)
																																										), $product_id, $product_type ) );
				?>
		  </div>
		</div>
		<!-- end collapsible -->
		<div class="wcfm_clearfix"></div>
		
		<?php do_action( 'after_wcfm_products_manage_general', $product_id, $product_type ); ?>
		
		<!-- collapsible 2 -->
	  <div class="page_collapsible products_manage_downloadable simple variable external" id="wcfm_products_manage_form_downloadable_head"><?php _e('Featured Image and Gallery', $WCFM->text_domain); ?><span></span></div>
		<div class="container simple variable external">
			<div id="wcfm_products_manage_form_downloadable_expander" class="content">
			  <?php
			  $WCFM->wcfm_fields->wcfm_generate_form_field( apply_filters( 'wcfm_product_manage_fields_gallery', array(  "featured_img" => array('label' => __('Featured Image', $WCFM->text_domain) , 'type' => 'upload', 'class' => 'wcfm-text wcfm_ele simple variable external', 'label_class' => 'wcfm_title', 'prwidth' => 125, 'value' => $featured_img)
																																										), $gallery_img_urls ) );
			  ?>
		  </div>
		</div>
		<!-- end collapsible -->
		<div class="wcfm_clearfix"></div>
		
		<!-- collapsible 3 -->
	  <div class="page_collapsible products_manage_downloadable simple variable external" id="wcfm_products_manage_form_downloadable_head"><?php _e('Category & Tags', $WCFM->text_domain); ?><span></span></div>
		<div class="container simple variable external">
			<div id="wcfm_products_manage_form_downloadable_expander" class="content">
				<?php if(empty($categories)) { ?>
					<div data-length="0" data-name="product_cats" class="wcfm-text wcfm_ele simple variable external multi_input_holder" id="product_cats">
						<div class="multi_input_block" style="padding-bottom: 40px;">
							<?php
								$args = array(
															'show_option_all'    => '',
															'show_option_none'   => __('Choose Category', $WCFM->text_domain),
															'option_none_value'  => '-1',
															'orderby'            => 'ID', 
															'order'              => 'ASC',
															'show_count'         => 0,
															'hide_empty'         => 0, 
															'echo'               => 1,
															'selected'           => 0,
															'hierarchical'       => 1, 
															'name'               => 'product_cats[0][undefined]',
															'id'                 => 'product_cat_0',
															'class'              => 'wcfm-select wcfm_ele simple variable external multi_input_block_element',
															'depth'              => 0,
															'tab_index'          => 0,
															'taxonomy'           => 'product_cat',
															'hide_if_empty'      => false,
															'value_field'	     => 'term_id',	
														);
								wp_dropdown_categories( $args );
							?>
							<span class="multi_input_block_manupulate remove_multi_input_block button-secondary">-</span>
							<span class="add_multi_input_block multi_input_block_manupulate button-primary">+</span>
						</div>
					</div>
				<?php 
				} else { 
					foreach($categories as $pkey => $pcategory) {
					?>
						<div data-length="0" data-name="product_cats" class="wcfm-text wcfm_ele simple variable external multi_input_holder" id="product_cats">
							<div class="multi_input_block" style="padding-bottom: 40px;">
								<?php
									$args = array(
																'show_option_all'    => '',
																'show_option_none'   => __('Choose Category', $WCFM->text_domain),
																'option_none_value'  => '-1',
																'orderby'            => 'ID', 
																'order'              => 'ASC',
																'show_count'         => 0,
																'hide_empty'         => 0, 
																'echo'               => 1,
																'selected'           => $pcategory->term_id,
																'hierarchical'       => 1, 
																'name'               => 'product_cats['.$pkey.'][undefined]',
																'id'                 => 'product_cat_'.$pkey,
																'class'              => 'wcfm-select wcfm_ele simple variable external multi_input_block_element',
																'depth'              => 0,
																'tab_index'          => 0,
																'taxonomy'           => 'product_cat',
																'hide_if_empty'      => false,
																'value_field'	     => 'term_id',	
															);
									wp_dropdown_categories( $args );
								?>
								<span class="multi_input_block_manupulate remove_multi_input_block button-secondary">-</span>
								<span class="add_multi_input_block multi_input_block_manupulate button-primary">+</span>
							</div>
						</div>
					<?php
					}
				}
				
			  $WCFM->wcfm_fields->wcfm_generate_form_field( apply_filters( 'product_simple_fields_taxonomy', array(  "product_tags" => array('label' => __('Tags', $WCFM->text_domain) , 'type' => 'textarea', 'class' => 'wcfm-textarea wcfm_ele simple variable external', 'label_class' => 'wcfm_title', 'value' => $product_tags, 'desc' => __('Separate Product Tags with commas', $WCFM->text_domain))
																																										)) );
			  ?>
		  </div>
		</div>
		<!-- end collapsible -->
		<div class="wcfm_clearfix"></div>
		
		<!-- collapsible 4 -->
	  <div class="page_collapsible products_manage_downloadable simple variable" id="wcfm_products_manage_form_downloadable_head"><?php _e('Inventory', $WCFM->text_domain); ?><span></span></div>
		<div class="container simple variable">
			<div id="wcfm_products_manage_form_downloadable_expander" class="content">
			  <?php
			  $WCFM->wcfm_fields->wcfm_generate_form_field( apply_filters( 'product_simple_fields_stock', array(  "manage_stock" => array('label' => __('Manage Stock?', $WCFM->text_domain) , 'type' => 'checkbox', 'class' => 'wcfm-checkbox wcfm_ele simple variable external manage_stock_ele', 'value' => 'enable', 'label_class' => 'wcfm_title checkbox_title', 'hints' => __('Enable stock management at product level', $WCFM->text_domain), 'dfvalue' => $manage_stock),
																																																"stock_qty" => array('label' => __('Stock Qty', $WCFM->text_domain) , 'type' => 'number', 'class' => 'wcfm-text wcfm_ele simple variable external non_manage_stock_ele', 'label_class' => 'wcfm_title non_manage_stock_ele', 'value' => $stock_qty, 'hints' => __( 'Stock quantity. If this is a variable product this value will be used to control stock for all variations, unless you define stock at variation level.', $WCFM->text_domain )),
																																																"backorders" => array('label' => __('Allow Backorders?', $WCFM->text_domain) , 'type' => 'select', 'options' => array('no' => __('Do not Allow', $WCFM->text_domain), 'notify' => __('Allow, but notify customer', $WCFM->text_domain), 'yes' => __('Allow', $WCFM->text_domain)), 'class' => 'wcfm-select wcfm_ele simple variable external non_manage_stock_ele', 'label_class' => 'wcfm_title non_manage_stock_ele', 'value' => $backorders, 'hints' => __( 'If managing stock, this controls whether or not backorders are allowed. If enabled, stock quantity can go below 0.', $WCFM->text_domain )),
																																																"stock_status" => array('label' => __('Stock status', $WCFM->text_domain) , 'type' => 'select', 'options' => array('instock' => __('In stock', $WCFM->text_domain), 'outofstock' => __('Out of stock', $WCFM->text_domain)), 'class' => 'wcfm-select wcfm_ele simple', 'label_class' => 'wcfm_ele wcfm_title simple', 'value' => $stock_status, 'hints' => __( 'Controls whether or not the product is listed as "in stock" or "out of stock" on the frontend.', $WCFM->text_domain )),
																																																"sold_individually" => array('label' => __('Sold Individually', $WCFM->text_domain) , 'type' => 'checkbox', 'value' => 'enable', 'class' => 'wcfm-checkbox wcfm_ele simple variable external', 'hints' => __('Enable this to only allow one of this item to be bought in a single order', $WCFM->text_domain), 'label_class' => 'wcfm_title checkbox_title', 'dfvalue' => $sold_individually)
																																												)) );
			  ?>
		  </div>
		</div>
		<!-- end collapsible -->
		<div class="wcfm_clearfix"></div>
		
		<!-- collapsible 5 -->
	  <div class="page_collapsible products_manage_downloadable simple variable nonvirtual" id="wcfm_products_manage_form_downloadable_head"><?php _e('Shipping', $WCFM->text_domain); ?><span></span></div>
		<div class="container simple variable nonvirtual">
			<div id="wcfm_products_manage_form_downloadable_expander" class="content">
			  <?php
			  $WCFM->wcfm_fields->wcfm_generate_form_field( apply_filters( 'product_simple_fields_shipping', array(  "weight" => array('label' => __('Weight', $WCFM->text_domain) . ' ('.get_option( 'woocommerce_weight_unit', 'kg' ).')' , 'type' => 'text', 'class' => 'wcfm-text wcfm_ele simple variable', 'label_class' => 'wcfm_title', 'value' => $weight),
																																															"length" => array('label' => __('Length', $WCFM->text_domain) . ' ('.get_option( 'woocommerce_dimension_unit', 'cm' ).')', 'type' => 'text', 'class' => 'wcfm-text wcfm_ele simple variable', 'label_class' => 'wcfm_title', 'value' => $length),
																																															"width" => array('label' => __('Width', $WCFM->text_domain) . ' ('.get_option( 'woocommerce_dimension_unit', 'cm' ).')', 'type' => 'text', 'class' => 'wcfm-text wcfm_ele simple variable', 'label_class' => 'wcfm_title', 'value' => $width),
																																															"height" => array('label' => __('Height', $WCFM->text_domain) . ' ('.get_option( 'woocommerce_dimension_unit', 'cm' ).')', 'type' => 'text', 'class' => 'wcfm-text wcfm_ele simple variable', 'label_class' => 'wcfm_title', 'value' => $height),
																																															"shipping_class" => array('label' => __('Shipping class', $WCFM->text_domain) , 'type' => 'select', 'options' => $shipping_option_array, 'class' => 'wcfm-select wcfm_ele simple variable', 'label_class' => 'wcfm_title', 'value' => $shipping_class)
																																										)) );
			  ?>
		  </div>
		</div>
		<!-- end collapsible -->
		<div class="wcfm_clearfix"></div>
		
		<?php if ( wc_tax_enabled() ) { ?>
		<!-- collapsible 6 -->
	  <div class="page_collapsible products_manage_downloadable simple variable" id="wcfm_products_manage_form_downloadable_head"><?php _e('Tax', $WCFM->text_domain); ?><span></span></div>
		<div class="container simple variable">
			<div id="wcfm_products_manage_form_downloadable_expander" class="content">
			  <?php
			  $WCFM->wcfm_fields->wcfm_generate_form_field( apply_filters( 'product_simple_fields_tax', array(  
																																															"tax_status" => array('label' => __('Tax Status', $WCFM->text_domain) , 'type' => 'select', 'options' => array( 'taxable' => __( 'Taxable', $WCFM->text_domain ), 'shipping' => __( 'Shipping only', $WCFM->text_domain ), 'none' => _x( 'None', 'Tax status', $WCFM->text_domain ) ), 'class' => 'wcfm-select wcfm_ele simple variable', 'label_class' => 'wcfm_title', 'value' => $tax_status, 'hints' => __( 'Define whether or not the entire product is taxable, or just the cost of shipping it.', $WCFM->text_domain )),
																																															"tax_class" => array('label' => __('Tax Class', $WCFM->text_domain) , 'type' => 'select', 'options' => $tax_classes_options, 'class' => 'wcfm-select wcfm_ele simple variable', 'label_class' => 'wcfm_title', 'value' => $tax_class, 'hints' => __( 'Choose a tax class for this product. Tax classes are used to apply different tax rates specific to certain types of product.', $WCFM->text_domain ))
																																										)) );
			  ?>
		  </div>
		</div>
		<!-- end collapsible -->
		<div class="wcfm_clearfix"></div>
		<?php } ?>
		
		<!-- collapsible 7 -->
	  <div class="page_collapsible products_manage_downloadable simple variable external" id="wcfm_products_manage_form_downloadable_head"><?php _e('Attributes', $WCFM->text_domain); ?><span></span></div>
		<div class="container simple variable external">
			<div id="wcfm_products_manage_form_downloadable_expander" class="content">
			  <?php do_action( 'wcfm_products_manage_attributes' ); ?>
					<?php
						$WCFM->wcfm_fields->wcfm_generate_form_field( apply_filters( 'product_simple_fields_attributes', array(  
																																														"attributes" => array('label' => __('Attributes', $WCFM->text_domain) , 'type' => 'multiinput', 'class' => 'wcfm-text wcfm_ele simple variable external', 'label_class' => 'wcfm_title', 'value' => $attributes, 'options' => array(
																																																"name" => array('label' => __('Name', $WCFM->text_domain), 'type' => 'text', 'class' => 'wcfm-text wcfm_ele simple variable external', 'label_class' => 'wcfm_title'),
																																																"value" => array('label' => __('Value(s):', $WCFM->text_domain), 'type' => 'textarea', 'class' => 'wcfm-textarea wcfm_ele simple variable external', 'placeholder' => __('Enter some text, some attributes by "|" separating values.', $WCFM->text_domain), 'label_class' => 'wcfm_title'),
																																																"is_visible" => array('label' => __('Visible on the product page', $WCFM->text_domain), 'type' => 'checkbox', 'value' => 'enable', 'class' => 'wcfm-checkbox wcfm_ele simple variable external', 'label_class' => 'wcfm_title checkbox_title'),
																																																"is_variation" => array('label' => __('Use as Variation', $WCFM->text_domain), 'type' => 'checkbox', 'value' => 'enable', 'class' => 'wcfm-checkbox wcfm_ele variable', 'label_class' => 'wcfm_title checkbox_title wcfm_ele variable'),
																																																"tax_name" => array('type' => 'hidden'),
																																																"is_taxonomy" => array('type' => 'hidden')
																																														))
																																									)) );
					?>
		  </div>
		</div>
		<!-- end collapsible -->
		<div class="wcfm_clearfix"></div>
		
		<!-- collapsible 8 -->
	  <div class="page_collapsible products_manage_downloadable variable variations" id="wcfm_products_manage_form_downloadable_head"><?php _e('Variations', $WCFM->text_domain); ?><span></span></div>
		<div class="container variable">
			<div id="wcfm_products_manage_form_downloadable_expander" class="content">
			  <?php
			   $WCFM->wcfm_fields->wcfm_generate_form_field( array(  
																															"variations" => array('label' => __('Variations', $WCFM->text_domain) , 'type' => 'multiinput', 'class' => 'wcfm_ele variable', 'label_class' => 'wcfm_title', 'value' => $variations, 'options' => 
																																  apply_filters( 'wcfm_product_manage_fields_variations', array(
																																	"id" => array('type' => 'hidden', 'class' => 'variation_id'),
																																	"enable" => array('label' => __('Enable', $WCFM->text_domain), 'type' => 'checkbox', 'value' => 'enable', 'class' => 'wcfm-checkbox wcfm_ele variable', 'label_class' => 'wcfm_title checkbox_title'),
																																	"image" => array('label' => __('Image', $WCFM->text_domain), 'type' => 'upload', 'class' => 'wcfm-text wcfm_ele variable', 'label_class' => 'wcfm_title'),
																																	"sku" => array('label' => __('SKU', $WCFM->text_domain), 'type' => 'text', 'class' => 'wcfm-text wcfm_ele variable', 'label_class' => 'wcfm_title'),
																																	"regular_price" => array('label' => __('Regular Price', $WCFM->text_domain) . '(' . get_woocommerce_currency_symbol() . ')', 'type' => 'text', 'class' => 'wcfm-text wcfm_ele variable', 'label_class' => 'wcfm_title'),
																																	"sale_price" => array('label' => __('Sale Price', $WCFM->text_domain) . '(' . get_woocommerce_currency_symbol() . ')', 'type' => 'text', 'class' => 'wcfm-text wcfm_ele variable', 'label_class' => 'wcfm_title'),
																																	"manage_stock" => array('label' => __('Manage Stock', $WCFM->text_domain), 'type' => 'checkbox', 'value' => 'enable', 'value' => 'enable', 'class' => 'wcfm-checkbox wcfm_ele variable variation_manage_stock_ele', 'label_class' => 'wcfm_title checkbox_title'),
																																	"stock_qty" => array('label' => __('Stock Qty', $WCFM->text_domain) , 'type' => 'number', 'class' => 'wcfm-text wcfm_ele variable variation_non_manage_stock_ele', 'label_class' => 'wcfm_title variation_non_manage_stock_ele'),
																																	"backorders" => array('label' => __('Allow Backorders?', $WCFM->text_domain) , 'type' => 'select', 'options' => array('no' => __('Do not Allow', $WCFM->text_domain), 'notify' => __('Allow, but notify customer', $WCFM->text_domain), 'yes' => __('Allow', $WCFM->text_domain)), 'class' => 'wcfm-select wcfm_ele variable variation_non_manage_stock_ele', 'label_class' => 'wcfm_title variation_non_manage_stock_ele'),
																																	"stock_status" => array('label' => __('Stock status', $WCFM->text_domain) , 'type' => 'select', 'options' => array('instock' => __('In stock', $WCFM->text_domain), 'outofstock' => __('Out of stock', $WCFM->text_domain)), 'class' => 'wcfm-select wcfm_ele variable', 'label_class' => 'wcfm_title'),
																																	"attributes" => array('type' => 'hidden')
																															), $variations, $variation_shipping_option_array, $variation_tax_classes_options ) )
																										) );
			  ?>
		  </div>
		</div>
		<!-- end collapsible -->
		<div class="wcfm_clearfix"></div>
		
		<?php do_action( 'end_wcfm_products_manage', $product_id ); ?>
		
		<div class="wcfm-message" tabindex="-1"></div>
		
		<div id="wcfm_products_simple_submit">
			<input type="submit" name="submit-data" value="Submit" id="wcfm_products_simple_submit_button" />
			<?php if( ( isset( $wp->query_vars['wcfm-products-manage'] ) && empty( $wp->query_vars['wcfm-products-manage'] ) ) || ( isset( $wp->query_vars['wcfm-products-manage'] ) && !empty( $wp->query_vars['wcfm-products-manage'] ) && ( get_post_status( $wp->query_vars['wcfm-products-manage'] ) == 'draft' ) ) ) { ?>
			<input type="submit" name="draft-data" value="Draft" id="wcfm_products_simple_draft_button" />
			<?php } ?>
		</div>
		
	</div>
</form>


<?php
do_action( 'after_wcfm_products_manage' );
?>