<?php
/*
Plugin Name: WC Frontend Manager
Plugin URI: http://wclovers.com
Description: WooCommerce is now really easy. We are here to make you life more easier and beautiful.
Author: WC Lovers
Version: 1.0.0
Author URI: http://wclovers.com
*/

if(!defined('ABSPATH')) exit; // Exit if accessed directly


if ( ! class_exists( 'WCFM_Dependencies' ) )
	require_once 'helpers/class-wcfm-dependencies.php';

require_once 'helpers/wcfm-core-functions.php';
require_once 'wc_frontend_manager_config.php';

if(!defined('WCFM_TOKEN')) exit;
if(!defined('WCFM_TEXT_DOMAIN')) exit;


if(!WCFM_Dependencies::woocommerce_plugin_active_check()) {
	add_action( 'admin_notices', 'wcfm_woocommerce_inactive_notice' );
}

if(!class_exists('WCFM')) {
	require_once( 'core/class-wcfm.php' );
	global $WCFM, $WCFM_Query;
	$WCFM = new WCFM( __FILE__ );
	$GLOBALS['WCFM'] = $WCFM;
	
	// Init WCFM Query
	require_once( 'core/class-wcfm-query.php' );
	$WCFM_Query = new WCFM_Query();
	$GLOBALS['WCFM_Query'] = $WCFM_Query;
	
	// Activation Hooks
	register_activation_hook( __FILE__, array('WCFM', 'activate_wcfm') );
	register_activation_hook( __FILE__, 'flush_rewrite_rules' );
	
	// Deactivation Hooks
	register_deactivation_hook( __FILE__, array('WCFM', 'deactivate_wcfm') );
}
?>